screen_width, screen_height = love.graphics.getDimensions()
sand = {}
count = 0
timer = 0


function love.update(dt)
	persec = (os.date("%S"))/60
	permin = (os.date("%M"))/60 + (persec/60)
	perhour = (os.date("%H"))/24 + (permin/60)
	perdays = (os.date("%d") - 15)/14 + (perhour/24)
	pertotal = perdays * 100
	perext = pertotal * 10000
	
	if count > perext then
		timer = timer
	else
		timer = timer + (1*dt) 
	end
	if timer > .1 then
		table.insert(sand, {x = screen_width/2, y = 10})
		timer = 0
		count = count + 1
	end
	for i,v in ipairs(sand) do
		if v.y < screen_height - 1 then
			v.y = v.y + 200*dt
		end
	end
end

function love.draw()
	love.graphics.print("Percentage: %" .. pertotal, 0, 0)
	love.graphics.print(perext, 0, 10)
	love.graphics.print(count, 0, 20)
	love.graphics.print(timer, 0, 30)
	for i,v in ipairs(sand) do
        love.graphics.rectangle("fill",v.x,v.y,1,1)
    end
end